{$DOUBLE}
Program MsSize;

{ 
  Description: Development program to display various magic numbers related
	to the message_rec structure. 
         File: [MESSAGE]MSSIZE.PAS
       Author: Jim Bostwick 
    Last Edit: 18-OCT-1989 02:41:37 
      History:
	 3-AUG-1989 - JMB - Add $DOUBLE compiler switch


}
{$Nolist}
{[a+,b+,l-,k+,r+] Pasmat }
%INCLUDE 'PAS$EXT:GENERAL.TYP';
%INCLUDE 'Message.typ';

{$List }
VAR
	msg: Message_rec;
	p1,p2: word;
		
BEGIN
	p1 := Loophole(word,ref(msg));
	p2 := Loophole(word,ref(msg.id));
	Writeln('Message_rec magic numbers: ');
	writeln('Size = ', Size(Message_Rec),' (bytes).');
	Writeln('Size of message_packet_id =', Size(Message_packet_id_type));
	Writeln('Offset to id =', p2-p1, ' (decimal).');
	Writeln('end.')
END.

